curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/service-points \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/service-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/service-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "019c4870-44a4-7a63-b9e8-f52cfed69fc2",
"carrier": {
"code": "postnord",
"name": "PostNord",
"logo_url": "https://assets.example.com/carriers/postnord/logo.svg",
"icon_url": "https://assets.example.com/carriers/postnord/icon.svg"
},
"code": "12345",
"name": "Example parcel shop",
"type": "parcel_store",
"address": {
"address_lines": [
"Example Street 12"
],
"postal_code": "2200",
"city": "Copenhagen",
"country": "DK",
"administrative_area": "84"
},
"coordinates": {
"latitude": 55.689748,
"longitude": 12.553726
},
"opening_hours": {
"regular_opening_hours": [
{
"weekday": "monday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "tuesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "wednesday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "thursday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "friday",
"periods": [
{
"opening_time": "08:00",
"closing_time": "18:00"
}
]
},
{
"weekday": "saturday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
},
{
"weekday": "sunday",
"periods": [
{
"opening_time": "10:00",
"closing_time": "14:00"
}
]
}
],
"special_opening_hours": [
{
"is_closed": false,
"start_date": "2026-12-24",
"end_date": "2026-12-24",
"open_time": "10:00",
"close_time": "13:00"
}
]
}
}
],
"links": {
"first": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/service-points?carrier=postnord&country=DK&per_page=1&page=1",
"last": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/service-points?carrier=postnord&country=DK&per_page=1&page=3",
"prev": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/service-points?carrier=postnord&country=DK&per_page=1&page=1",
"next": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/service-points?carrier=postnord&country=DK&per_page=1&page=3"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 3,
"path": "https://api.smartsend.io/v2/teams/00000000-0000-4000-8000-000000000001/service-points",
"per_page": 1,
"to": 2,
"total": 3
}
}List all service points
Lists service points for a carrier and country, with optional type and bounding-box filters.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
"da-DK, da;q=0.9, en;q=0.8"
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Query Parameters
Known carrier code. Unknown codes return 422. A known carrier with no service points in the selected country is a valid filter and may return an empty result.
"postnord"
"bring"
"dao"
"gls"
Valid ISO 3166-1 alpha-2 country code. Invalid codes return 422. A valid country with no service points for the selected carrier may return an empty result.
2"DK"
"SE"
"FI"
"NO"
"DE"
"ES"
"US"
"CN"
"CA"
Filter by service point type Type of service point
post_office, relay_point, parcel_store, self_service_locker, other, unknown Southern boundary, inclusive. Must be less than or equal to max_latitude. Uses WGS 84 coordinates in decimal degrees. If any bounding-box coordinate is supplied, all four query parameters (min_latitude, max_latitude, min_longitude and max_longitude) are required. Omit all four to search without a bounding-box restriction. Missing, null, empty, out-of-range or reversed coordinates return 422.
-90 <= x <= 90Northern boundary, inclusive. Must be greater than or equal to min_latitude. Uses WGS 84 coordinates in decimal degrees. If any bounding-box coordinate is supplied, all four query parameters (min_latitude, max_latitude, min_longitude and max_longitude) are required. Omit all four to search without a bounding-box restriction. Missing, null, empty, out-of-range or reversed coordinates return 422.
-90 <= x <= 90Western boundary, inclusive. Must be less than or equal to max_longitude. Longitude intervals must not wrap across the antimeridian. Uses WGS 84 coordinates in decimal degrees. If any bounding-box coordinate is supplied, all four query parameters (min_latitude, max_latitude, min_longitude and max_longitude) are required. Omit all four to search without a bounding-box restriction. Missing, null, empty, out-of-range or reversed coordinates return 422.
-180 <= x <= 180Eastern boundary, inclusive. Must be greater than or equal to min_longitude. Longitude intervals must not wrap across the antimeridian. Uses WGS 84 coordinates in decimal degrees. If any bounding-box coordinate is supplied, all four query parameters (min_latitude, max_latitude, min_longitude and max_longitude) are required. Omit all four to search without a bounding-box restriction. Missing, null, empty, out-of-range or reversed coordinates return 422.
-180 <= x <= 180Page number, starting at 1. Omit it to retrieve the first page.
x >= 1Number of service points to return per page.
1 <= x <= 1000Response
Search completed successfully. The data array is empty when no service points match, including when the known carrier has no available service points in the selected valid country. Bounding-box filters are applied before pagination.
Array of service points
Show child attributes
Show child attributes
Navigation links for a page-paginated collection. URLs preserve the selected filters and page size. First and last URLs are present even when the collection is empty; unavailable previous and next pages are null.
Show child attributes
Show child attributes
Page pagination metadata, including page numbers and total count.
Show child attributes
Show child attributes
Was this page helpful?